%define __os_install_post       true
%define gslibdir        %{_datadir}/ghostscript/%(echo `gs --version`)/lib

Summary: Desktop for KDE3.1
Summary: Artwork for Asianux default look-and-feel
Name: asianux-artwork
Version: 1.1
Release: 35AX
URL: http://www.asianux.com
Group: User Interface/Desktops
License: GPL
BuildRoot: %{_tmppath}/%{name}-root
Conflicts: qt < 3.0.4-11
Conflicts: gtk-engines < 0.11-13
Conflicts: kdebase <= 3.0.2-6
# we don't want to require gtk/qt
Autoreq: 0
BuildRequires: gtk2-devel >= 2.0.3-3
BuildRequires: qt-devel >= 3.0.5
BuildRequires: kdebase-devel >= 3.0.2-6
# for splash screens, and a logo in gdm theme
Requires: kdebase
#Requires: kdeutils

Source0: redflag-artwork-1.1.tar.gz
Source1: kdeconfig.tar.gz
Source10:asianux-artwork.tgz
Source11:artwork-language-zh_CN.tgz
Source12:artwork-language-en_US.tgz
Source13:artwork-language-euc_JP.tgz
Source14:crystal.tgz
Source15:lsworkgroups
Source16:CIDFnmap.zh_CN
Source17:asianux-artwork-ia32.tgz
Source18:asianux-artwork-ia64.tgz
Source19:asianux-artwork-x86_64.tgz
Source20:kdmtitle-ax.png
Source21:mydocuments.desktop
Source22:kcmartsrc
Source23:artwork-language-ko_KR.tgz
Patch0:   asianux-artwork-Desktop.patch
Patch1:   asianux-artwork-Desktop-ko.patch
Patch2:   asianux-artwork-kdeconfig.patch

%description
This is a Theme for Asianux.

%prep
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/
%setup -q  -n redflag-artwork-1.1

%patch0 -p0
%patch1 -p1

%build

cp -aR  usr $RPM_BUILD_ROOT/
mkdir -p $RPM_BUILD_ROOT/mycomputer
cp -aR mycomputer/.directory $RPM_BUILD_ROOT/mycomputer

mkdir -p $RPM_BUILD_ROOT/root/   $RPM_BUILD_ROOT/etc/skel
cp -aR  Desktop "$RPM_BUILD_ROOT"/root/
cp -aR Desktop "$RPM_BUILD_ROOT"/etc/skel/

mkdir -p "$RPM_BUILD_ROOT"/root/.kde/share/
mkdir -p "$RPM_BUILD_ROOT"/etc/skel/.kde/share/
tar zxvf  %{SOURCE1} -C  $RPM_BUILD_ROOT/etc/skel/.kde/share/
(cd $RPM_BUILD_ROOT/etc/skel/.kde/share/; patch -p1 < %{PATCH2})
tar zxvf  %{SOURCE1} -C  $RPM_BUILD_ROOT/root/.kde/share/
(cd $RPM_BUILD_ROOT/root/.kde/share/; patch -p1 < %{PATCH2})

mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
cp -f %{SOURCE20}  $RPM_BUILD_ROOT/etc/sysconfig
cp -f %{SOURCE20}  $RPM_BUILD_ROOT/usr/lib/rfmin/data/rfmin_logo-ax.png

# copy icons of management tools
mkdir -p $RPM_BUILD_ROOT/usr/share

tar zxvf %{SOURCE10} -C $RPM_BUILD_ROOT

%ifarch %{ix86}
	tar zxvf %{SOURCE17} -C $RPM_BUILD_ROOT
%endif
%ifarch ia64
	tar zxvf %{SOURCE18} -C $RPM_BUILD_ROOT
%endif	
%ifarch x86_64
	tar zxvf %{SOURCE19} -C $RPM_BUILD_ROOT
	tar zxvf %{SOURCE17} -C $RPM_BUILD_ROOT
%endif

mkdir -p $RPM_BUILD_ROOT/usr/share/asianux-artwork/
cp -f %{SOURCE11} $RPM_BUILD_ROOT/usr/share/asianux-artwork/
cp -f %{SOURCE12} $RPM_BUILD_ROOT/usr/share/asianux-artwork/
cp -f %{SOURCE13} $RPM_BUILD_ROOT/usr/share/asianux-artwork/
cp -f %{SOURCE23} $RPM_BUILD_ROOT/usr/share/asianux-artwork/

mkdir -p $RPM_BUILD_ROOT/usr/share/icons/
tar zxf %{SOURCE14} -C $RPM_BUILD_ROOT/usr/share/icons
mkdir -p $RPM_BUILD_ROOT/usr/bin
cp -f %{SOURCE15} $RPM_BUILD_ROOT/usr/bin

mkdir -p $RPM_BUILD_ROOT/usr/share/apps/konqsidebartng/virtual_folders/services/
cp -f %{SOURCE21} $RPM_BUILD_ROOT/usr/share/apps/konqsidebartng/virtual_folders/services/

mv $RPM_BUILD_ROOT/etc/skel/Desktop/mydocument $RPM_BUILD_ROOT/etc/skel/Desktop/mydocuments

cp -f %{SOURCE22} $RPM_BUILD_ROOT/root/.kde/share/config
cp -f %{SOURCE22} $RPM_BUILD_ROOT/etc/skel/.kde/share/config

# for ghostscript
install -d $RPM_BUILD_ROOT%{gslibdir}
install -m 0644 %{SOURCE16} $RPM_BUILD_ROOT%{gslibdir}/

%post
#create some symbol links for Asianux
cd /usr/share/apps/kicker/pics
rm -f kside.png
ln -s kside-ax.png kside.png

cd /usr/share/apps/ksmserver/pics
rm -f shutdownkonq.png
ln -s shutdownkonq-ax.png shutdownkonq.png

cd /usr/share/wallpapers
rm -f background.jpg
ln -s background-ax.jpg background.jpg

cd /usr/lib/rfmin/data
rm -f rfmin_logo.png
ln -s rfmin_logo-ax.png rfmin_logo.png

cd /etc/sysconfig
rm -f kdmtitle.png
ln -s kdmtitle-ax.png kdmtitle.png

# we should remove mydocument.desktop from $HOME and move directory mydocument to mydocuments
find /root /home -mindepth 5 -name mydocument.desktop -exec rm -f {} \;
cat >/tmp/changedirname.sh <<EOF
#!/bin/sh
if [ -d "\${1}s" ]; then
        mv \$1/* "\${1}s"
        rm -rf \${1}
else
        mv \$1 "\${1}s"
fi
cp -f /etc/skel/Desktop/mydocuments/.directory "\${1}s"
EOF
chmod +x /tmp/changedirname.sh
find /root /home -type d -mindepth 2 -name mydocument -exec /tmp/changedirname.sh {} \; >/dev/null 2>/dev/null
rm -f /tmp/changedirname.sh

%preun

%files
%defattr(-,root,root)
%{gslibdir}/CIDFnmap.zh_CN
/usr/bin/lsworkgroups
/usr/share/apps/*
%exclude /usr/share/apps/rpmupdate
%exclude /usr/share/apps/rpmupdate/sites
%exclude /usr/share/apps/konqsidebartng/virtual_folders/services/mydocument.desktop
/usr/share/apps/konqsidebartng/virtual_folders/services/mydocuments.desktop
/usr/share/applnk/*
/usr/lib/rfmin/data/*
%exclude /usr/share/applnk/Applications/Internet/.directory
/usr/share/icons/*
/usr/share/asianux-artwork/*
/usr/share/doc/*
/mycomputer
/usr/share/wallpapers/*
/root/.kde/*
/root/Desktop/*
/etc/skel/.kde/*
/etc/skel/Desktop/*
/etc/sysconfig/
/etc/gtk-2.0/gtkrc
/etc/skel/.gtkrc
/root/.gtkrc
/%{_libdir}/gtk/themes/engines/libbluecurve.la
/%{_libdir}/gtk/themes/engines/libbluecurve.so
/%{_libdir}/gtk-2.0/2.2.0/engines/libbluecurve.la
/%{_libdir}/gtk-2.0/2.2.0/engines/libbluecurve.so
%ifarch x86_64
/usr/lib/gtk/themes/engines/libbluecurve.la
/usr/lib/gtk/themes/engines/libbluecurve.so
/usr/lib/gtk-2.0/2.2.0/engines/libbluecurve.la
/usr/lib/gtk-2.0/2.2.0/engines/libbluecurve.so
%endif
/%{_libdir}/kde3/kwin_bluecurve.la
/%{_libdir}/kde3/kwin_bluecurve.so
/%{_libdir}/kde3/kwin_bluecurve.so.0
/%{_libdir}/kde3/kwin_bluecurve.so.0.0.0
/%{_libdir}/qt-3.1/etc/settings/kstylerc
/%{_libdir}/qt-3.1/etc/settings/qtrc
/%{_libdir}/qt-3.1/plugins/styles/bluecurve.la
/%{_libdir}/qt-3.1/plugins/styles/bluecurve.so
/usr/share/themes/Bluecurve/gtk/gtkrc
/usr/share/themes/Bluecurve/gtk-2.0/gtkrc
/usr/share/themes/Bluecurve/gtk-2.0/iconrc
/usr/share/themes/Bluecurve/index.theme
/usr/share/themes/Bluecurve/metacity-1/bottom_left.png
/usr/share/themes/Bluecurve/metacity-1/bottom_right.png
/usr/share/themes/Bluecurve/metacity-1/close.png
/usr/share/themes/Bluecurve/metacity-1/maximize.png
/usr/share/themes/Bluecurve/metacity-1/menu.png
/usr/share/themes/Bluecurve/metacity-1/metacity-theme-1.xml
/usr/share/themes/Bluecurve/metacity-1/minimize.png
/usr/share/themes/Bluecurve/metacity-1/restore.png
/usr/share/themes/Bluecurve/metacity-1/title-blocker-bottom.png
/usr/share/themes/Bluecurve/metacity-1/title-blocker-right.png
/usr/share/themes/Bluecurve/metacity-1/title-gradient-bottom.png
/usr/share/themes/Bluecurve/metacity-1/white_stripes_tile.png

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Nov 30 2005 Hua Jie <jiehua@redflag-linux.com> 1.1-35AX
- remove /usr/share/apps/rpmupdate/sites

* Mon Nov 28 2005 Shiro Yamada <shiro@miraclelinux.com> 1.1-34AX
- update kcmartsrc to disable AutoSuspend

* Thu Nov 17 2005 Hua Jie <jiehua@redflag-linux.com> 1.1-33AX
- modify some kde config files

* Wed Nov 2 2005 Nam, Kwonwoo <kwnam@haansoft.com> 1.1-32AX
- add korean language

* Sat Jan 15 2005 Hua Jie <jiehua@redflag-linux.com> 1.1-31AX
- set default permission of install files
- fix the problem when mv mydocument to mydocuments in post script

* Mon Jan 10 2005 Hua Jie <jiehua@redflag-linux.com> 1.1-30AX
- cp /etc/skel/Desktop/mydocuments/.directory to $HOME/Desktop/mydocuments/
- to change the name of the icon on the desktop

* Fri Dec 17 2004 Hua Jie <jiehua@redflag-linux.com> 1.1-29AX
- change mydocument to mydocuments
- add a kcmartsrc config file to disable artsd in KDE

* Wed Dec 15 2004 Hua Jie <jiehua@redflag-linux.com> 1.1-28AX
- add some 32bit libraries into x86-64 version

* Thu Nov 30 2004 Hua Jie <jiehua@redflag-linux.com> 1.1-27AX
- fix some bugs about English Grammar

* Thu Nov 11 2004 Hua Jie <jiehua@redflag-linux.com> 1.1-26AX
- fix some bugs about English Grammar

* Fri Oct 29 2004 Hua Jie <jiehua@redflag-linux.com> 1.1-25AX
- support x86_64

* Mon May 24 2004 Hua Jie <jiehua@redflag-linux.com> 1.1-24AX
- support both x86 and ia64

* Sat Apr 24 2004 Hua Jie <jiehua@redflag-linux.com> 1.1-23AX
- change some logoes and pictures

* Wed Apr 21 2004 Hua Jie <jiehua@redflag-linux.com> 1.1-22AX
- add CIDFnmap.zh_CN for ghostscript

* Fri Mar 26 2004 Hua Jie <jiehua@redflag-linux.com> 1.1-21AX
- add some icons for some applications

* Fri Mar 26 2004 Hua Jie <jiehua@redflag-linux.com> 1.1-20AX
- change the codepage of the network neighbor

* Wed Mar 24 2004 Hua Jie <jiehua@redflag-linux.com> 1.1-19AX
- change some pictures
- fix some bugs of translation

* Tue Mar 23 2004 Yasuma Takeda <yasuma@miraclelinux.com> 1.1-18AX
- remove smb.conf file to support multi language on Konqueror(smb_io)

* Tue Mar 23 2004 Hua Jie <jiehua@redflag-linux.com> 1.1-17AX
- fix a bug of translation 

* Thu Mar 18 2004 Hua Jie <jiehua@redflag-linux.com> 1.1-16AX
- remove kde_xp, one of the style of kwin. 

* Thu Mar 11 2004 Hua Jie <jiehua@redflag-linux.com> 1.1-15AX
- remove /usr/share/applnk/Applications/Internet/.directory. 

* Tue Mar 09 2004 Hua Jie <jiehua@redflag-linux.com> 1.1-14
- remove iconwangyan and use crystal 1.0 as the default icon theme. 
- add lsworkgroups
- remove default homepage of mozilla

* Thu Feb 27 2004 Hua Jie <jiehua@redflag-linux.com> 1.1-13
- add .directory to mycomputer to support multi language 

* Thu Feb 26 2004 Hua Jie <jiehua@redflag-linux.com> 1.1-12
- add a patch to change the Desktop files to support Japanese 

* Wed Feb 25 2004 Hua Jie <jiehua@redflag-linux.com> 1.1-11
- add Japanese language package 

* Wed Feb 11 2004 Hua Jie <jiehua@redflag-linux.com> 1.1-10
- add some config files and libraries for gtk,kde and qt 
- add artwork files for different language

* Wed Feb 04 2004 Hua Jie <jiehua@redflag-linux.com> 1.1-9
- we don't need asianux-logo, remove from require list 

* Sat Jan 17 2004 Hua Jie <jiehua@redflag-linux.com> 1.1-8
- rebuild for Asianux

* Thu Jul 10 2003 Xu Xiaojing <xjxu@redflag-linux.com> 1.1-7
- use iconwangyan icons
* Mon Jun 9 2003 Xu Xiaojing <xjxu@redflag-linux.com> 1.1-5
- update index html
* Wed May 22 2003 Xu Xiaojing <xjxu@redflag-linux.com> 1.1-4
- rebuild for kde 3.1
* Fri May  8 2003 Xu Xiaojing <xjxu@redflag-linux.com> 1.1-3
- change kmenu.png
* Tue Apr  8 2003 Xu Xiaojing <xjxu@redflag-linux.com> 1.1-2
- change for rxvt
*Wed Mar 05 2003 Xu Xiaojing <xjxu@redflag-linux.com> 1.1-1
-change version to 1.1
*Thu Feb 27 2003 Xu Xiaojing <xjxu@redflag-linux.com> 33srv
- change some icons
- change file '/usr/share/applnk/System/.directory' for SortOrder
- enable BusyCursor
*Tue Jan 28 2003 Xu Xiaojing <xjxu@redflag-linux.com> 32srv
- modified for server
*Thu Jan 24 2003 Shu Li  <shuli@redflag-linux.com> 32 
- modify some wallpapers
*Wed Jan 22 2003 Shu Li  <shuli@redflag-linux.com> 30 
- config file ,konquerorc
*Thu Jan 21 2003 Shu Li  <shuli@redflag-linux.com> 29
- config file ,font Monospace to Courier
*Mon Jan 20 2003 Shu Li  <shuli@redflag-linux.com> 28
- netsmb.desktop 
*Wed Jan 15 2003 Shu Li  <shuli@redflag-linux.com> 27
- change icons 
*Sun Dec 29 2002 Jian Xing  <jianxing@redflag-linux.com> 16
- change config . change help 
*Wed Dec 25 2002 Jian Xing  <jianxing@redflag-linux.com> 15
- add internet .directory 
*Sun Dec 22 2002 Xie Jue  <juexie@redflag-linux.com>
- use evolution as email client
*Thu Dec 5  2002 Jian Xin <jianxing@redflag-linux.com>
- fixed bug of kicker delete icons 

*Thu Nov 14 2002 Jian Xin <jianxing@redflag-linux.com>
- add konqsidebar services files
- modify some desktop file for kdebase 

*Wed Nov 06 2002 Jian Xin <jianxing@redflag-linux.com>
- Add Xine Xmms stardict in Desktop


